Package Search Help

You can use boolean logic (e.g. AND/OR/NOT) for complex search queries. For more help and examples, see the search documentation.

Search by package name:
my-package (implicit)
name:my-package (explicit)

Search by package filename:
my-package.ext (implicit)
filename:my-package.ext (explicit)

Search by package tag:
latest (implicit)
tag:latest (explicit)

Search by package version:
1.0.0 (implicit)
version:1.0.0 (explicit)
prerelease:true (prereleases)
prerelease:false (no prereleases)

Search by package architecture:
architecture:x86_64 

Search by package distribution:
distribution:el 

Search by package license:
license:MIT 

Search by package format:
format:deb 

Search by package status:
status:in_progress 

Search by package file checksum:
checksum:5afba 

Search by package security status:
severity:critical 

Search by package vulnerabilities:
vulnerabilities:>1 
vulnerabilities:<1000 

Search by # of package downloads:
downloads:>8 
downloads:<100 

Search by package type:
type:binary 
type:source 

Search by package size (bytes):
size:>50000 
size:<10000 

Search by dependency name/version:
dependency:log4j 
dependency:log4j=1.0.0 
dependency:log4j>1.0.0 

Search by uploaded date:
uploaded:>"1 day ago" 
uploaded:<"August 14, 2022 EST" 

Search by entitlement token (identifier):
entitlement:3lKPVJPosCsY 

Search by policy violation:
policy_violated:true
license_policy_violated:true
vulnerability_policy_violated:true

Search by repository:
repository:repo-name

Search queries for all Maven-specific (and related) package types

Search by group ID:
maven_group_id:org.apache 

Field type modifiers (depending on the type, you can influence behaviour)

For all queries, you can use:
~foo for negation

For string queries, you can use:
^foo to anchor to start of term
foo$ to anchor to end of term
foo*bar for fuzzy matching

For number/date or version queries, you can use:
>foo for values greater than
>=foo for values greater / equal
<foo for values less than
<=foo for values less / equal

Need a secure and centralised artifact repository to deliver Alpine, Cargo, CocoaPods, Composer, Conan, Conda, CRAN, Dart, Debian, Docker, Go, Helm, Hex, LuaRocks, Maven, npm, NuGet, P2, Python, RedHat, Ruby, Swift, Terraform, Vagrant, Raw & More packages?

Cloudsmith is the new standard in Package / Artifact Management and Software Distribution.

With support for all major package formats, you can trust us to manage your software supply chain.

Start My Free Trial
 Open-Source nhibernate nhibernate (NHibernate) / nhibernate-core  GitHub Project
A certifiably-awesome open-source package repository curated by NHibernate, hosted by Cloudsmith.
Note: Packages in this repository are licensed as GNU Lesser General Public License v2.1 only (dependencies may be licensed differently).

NuGet logo NHibernate  5.5.0-dev.4364

One-liner (summary)

No summary - See description for more info.

Description

NHibernate is a mature, open source object-relational mapper for the .NET framework. It is actively developed, fully featured and used in thousands of successful projects.
Status  Completed
Checksum (MD5) 23ba2bf8f2bcfd2062a05e35afb14805
Checksum (SHA-1) 149a22d4de770d6af9eeb01851fa39368fb22137
Checksum (SHA-256) 5929be380aa236660dd83b60c5492cced7f0f56e72d8005c2fe1f79a0f4583aa
Checksum (SHA-512) 68d304a96be3166d051b2fc7d24d2b9a7460b09455c13d49c01d31d196d62c9ebf…
GPG Signature
Storage Region Default Region
Type  Binary (contains binaries and binary artifacts)
Uploaded At 2 weeks, 4 days ago
Uploaded By roman-artiukhin
Slug Id 21014ff8-08ed-4ea8-bf36-cd237dab7e57nupkg-g0U
Unique Id x4kgi0I9V2Il
Version (Raw) 5.5.0-dev.4364
Version (Parsed)
  • Major: 5
  • Minor: 5
  • Patch: 0
  • Pre (Str): dev
  • Pre (Num): 4364
  • Type: SemVer (Strict)
  extended metadata
File Renames '21014ff8-08ed-4ea8-bf36-cd237dab7e57.nupkg' 'NHibernate.5.5.0-dev.4364.nupkg'
Authors Hibernate community | NHibernate community
Copyright Licensed under LGPL.
Dependencies
Framework Assemblies 'assembly_name' 'Microsoft.CSharp' | 'assembly_name' 'System.Configuration' | 'assembly_name' 'System.ServiceModel' | 'assembly_name' 'System.Transactions' | 'target_framework' '.NETFramework4.6.1, .NETFramework4.8' | 'target_framework' '.NETFramework4.6.1, .NETFramework4.8' | 'target_framework' '.NETFramework4.6.1, .NETFramework4.8' | 'target_framework' '.NETFramework4.6.1, .NETFramework4.8'
Icon NHibernate-NuGet.png
Icon URL https://raw.githubusercontent.com/nhibernate/nhibernate-core/master/logo/NHiber…
License expression: LGPL-2.1-only
License URL https://licenses.nuget.org/LGPL-2.1-only
Project URL https://nhibernate.info/
Release Notes This is development version for testing purposes only
Repository Commit c52c7f1b4012a9c9fc2e60da4139a92e03d35b60
Repository Type git
Repository URL https://github.com/nhibernate/nhibernate-core.git
Tags ADO.Net | Core | DAL | DataBase | NHibernate | O/RM | ORM | ObjectRelationalMapping
pkg NHibernate.5.5.0-dev.4364.nupkg 0
11.0 MB
md5 sha1 sha256 sha512
symbols NHibernate.5.5.0-dev.4364.snupkg 0
4.0 MB
md5 sha1 sha256 sha512
Package Contents (NHibernate.5.5.0-dev.4364.nupkg)
Loading...

This package has 48 files/directories.

Security Scanning:
You can't see this because your subscription doesn't include this feature, sorry!

With Security Scanning, Cloudsmith will scan your artifacts for vulnerabilities when they're uploaded. These are then presented to you via the UI and the API, so that you can build rules into your CI/CD pipelines to decide how to handle low, medium, high and critical software vulnerabilities.

If you'd like to trial or ask about the Security Scanning feature, just ask us. We'll be happy to help!

Last scanned

2 days, 16 hours ago

Scan result

Vulnerable

Vulnerability count

5

Max. severity

Low
Target:
LOW

CVE-1510-83143: library: vulnerability title



Package Name: package_name
Installed Version: 1.5.58
Fixed Version: 2.3.80

References: gonzalez.net diaz.com www.miller-parsons.com
LOW

CVE-7181-74024: library: vulnerability title



Package Name: package_name
Installed Version: 1.10.6
Fixed Version: 2.1.88

References: www.anderson.com www.dominguez.com www.russell-taylor.com
LOW

CVE-6997-38131: library: vulnerability title



Package Name: package_name
Installed Version: 1.6.56
Fixed Version: 2.2.27

References: shea.net collins.info www.griffith.com
LOW

CVE-3096-29751: library: vulnerability title



Package Name: package_name
Installed Version: 1.4.94
Fixed Version: 2.8.93

References: www.garza.info west.com jenkins-williams.info
LOW

CVE-1664-17260: library: vulnerability title



Package Name: package_name
Installed Version: 1.10.17
Fixed Version: 2.8.100

References: www.mccoy-mayer.com www.ross.com taylor-simpson.biz

You can embed a badge in another website that shows this or the latest version of this package.

To embed the badge for this specific package version, use the following:

[![This version of 'NHibernate' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/5.5.0-dev.4364/x/?render=true)](https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/5.5.0-dev.4364/)
|This version of 'NHibernate' @ Cloudsmith|
.. |This version of 'NHibernate' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/5.5.0-dev.4364/x/?render=true
   :target: https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/5.5.0-dev.4364/
image::https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/5.5.0-dev.4364/x/?render=true[link="https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/5.5.0-dev.4364/",title="This version of 'NHibernate' @ Cloudsmith"]
<a href="https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/5.5.0-dev.4364/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/5.5.0-dev.4364/x/?render=true" alt="This version of 'NHibernate' @ Cloudsmith" /></a>

rendered as: This version of 'NHibernate' @ Cloudsmith

To embed the badge for the latest package version, use the following:

[![Latest version of 'NHibernate' @ Cloudsmith](https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/latest/x/?render=true&show_latest=true)](https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/latest/)
|Latest version of 'NHibernate' @ Cloudsmith|
.. |Latest version of 'NHibernate' @ Cloudsmith| image:: https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/latest/x/?render=true&show_latest=true
   :target: https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/latest/
image::https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/latest/x/?render=true&show_latest=true[link="https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/latest/",title="Latest version of 'NHibernate' @ Cloudsmith"]
<a href="https://cloudsmith.io/~nhibernate/repos/nhibernate-core/packages/detail/nuget/NHibernate/latest/"><img src="https://api-prd.cloudsmith.io/v1/badges/version/nhibernate/nhibernate-core/nuget/NHibernate/latest/x/?render=true&show_latest=true" alt="Latest version of 'NHibernate' @ Cloudsmith" /></a>

rendered as: Latest version of 'NHibernate' @ Cloudsmith

These instructions assume you have setup the repository first (or read it).

To install/use NHibernate @ version 5.5.0-dev.4364 ...

choco install NHibernate -s nhibernate-nhibernate-core --version 5.5.0-dev.4364

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

nuget install NHibernate -Version 5.5.0-dev.4364 -Source nhibernate-nhibernate-core
If you have trouble installing a specific version of a package, it is possible that the CLI is using a cached version of the metadata. You can using the following with the CLI nuget install ... -NoCache to overcome this. You can find out more in the NuGet package installation documentation .

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

dotnet add package NHibernate -v 5.5.0-dev.4364 -s https://nuget.cloudsmith.io/nhibernate/nhibernate-core/v3/index.json
If you have trouble installing a specific version of a package, it is possible that the CLI is using a cached version of the metadata. You can using the following with the CLI dotnet restore --no-cache to overcome this. You can find out more in the NuGet package installation documentation .
paket add nuget NHibernate -v 5.5.0-dev.4364

Note: This assumes that you have setup the source for this repository in your paket.dependencies file.

Install-Package -Name 'NHibernate' -RequiredVersion '5.5.0-dev.4364' -Source 'nhibernate-nhibernate-core'

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

Install-Package NHibernate -Version 5.5.0-dev.4364 -Source nhibernate-nhibernate-core

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

You can also install the latest version of this package:

choco install NHibernate -s nhibernate-nhibernate-core

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

nuget install NHibernate -Source nhibernate-nhibernate-core -DependencyVersion Highest

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

dotnet add package NHibernate -s https://nuget.cloudsmith.io/nhibernate/nhibernate-core/v3/index.json
paket add nuget NHibernate

Note: This assumes that you have setup the source for this repository in your paket.dependencies file.

Install-Package -Name 'NHibernate' -Source 'nhibernate-nhibernate-core'

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

Install-Package NHibernate -Source nhibernate-nhibernate-core

Note: This assumes you have configured nhibernate-nhibernate-core as a source.

Top